public class Timer {

    private long startTime = 0;
    private long endTime   = 0;

    public void start(){
	this.startTime = System.currentTimeMillis();
    }
    
    public void end() {
	this.endTime   = System.currentTimeMillis();  
    }
    
    public long getStartTime() {
	return this.startTime;
    }
    
    public long getEndTime() {
	return this.endTime;
    }
    
    public long getTotalTime() {
	return this.endTime - this.startTime;
    }

    public String timeFormat(long millis) {
	
	long second = (millis / 1000) % 60;
	long minute = (millis / (1000 * 60)) % 60;
	long hour = (millis / (1000 * 60 * 60)) % 100;
	millis = millis % 1000;	
	String time = String.format("%02d:%02d:%02d:%03d", hour, minute, second, millis);
	return time;
    }
}
